<?php

/*
  Plugin Name: Newsletter - Elastic Email
  Plugin URI: http://www.thenewsletterplugin.com/plugins/newsletter/elasticemail-module
  Description: Integrates Newsletter with Elastc Email service. Automatic updates available the license key is set on Newsletter main settings panel.
  Version: 1.0.9
  Author: The Newsletter Team
  Author URI: http://www.thenewsletterplugin.com
  Disclaimer: Use at your own risk. No warranty expressed or implied is provided.

 */

add_action('newsletter_loaded', function ($version) {
    if ($version < '6.6.0') {
        add_action('admin_notices', function () {
            echo '<div class="notice notice-error"><p>Newsletter plugin upgrade required for ElasticEmail Addon.</p></div>';
        });
    } else {
        include __DIR__ . '/plugin.php';
        new NewsletterElasticEmail('1.0.9');
    }
});

register_deactivation_hook(__FILE__, function () {
    wp_clear_scheduled_hook('newsletter_elasticemail_bounce');
});

